import * as React from 'react';
import { FieldAPI, LocalesAPI } from '@contentful/field-editor-shared';
export interface DropdownEditorProps {
    /**
     * is the field disabled initially
     */
    isInitiallyDisabled: boolean;
    /**
     * sdk.field
     */
    field: FieldAPI;
    /**
     * sdk.locales
     */
    locales: LocalesAPI;
    /**
     * id used for associating the input field with its label
     */
    id?: string;
}
export declare function DropdownEditor(props: DropdownEditorProps): React.JSX.Element;
export declare namespace DropdownEditor {
    var defaultProps: {
        isInitiallyDisabled: boolean;
    };
}
